Bug 1675766

Summary: python-openstackclient: FTBFS in Fedora rawhide/f30
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: python-openstackclientAssignee: Javier Peña <jpena>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jpena, jruzicka
Target Milestone: ---Flags: releng: needinfo? (jruzicka)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-openstackclient-3.14.1-8.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-09 01:32:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1674516    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2019-02-11 21:37:26 UTC
python-openstackclient failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32459016


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix python-openstackclient at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-openstackclient will be orphaned. Before branching of Fedora 31,
python-openstackclient will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:37:27 UTC
Created attachment 1532310 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:37:29 UTC
Created attachment 1532311 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:37:30 UTC
Created attachment 1532312 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:31:42 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Fedora Update System 2019-04-30 13:00:47 UTC
python-octaviaclient-1.3.0-8.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-73d570dfde

Comment 6 Fedora Update System 2019-04-30 13:19:39 UTC
python-openstackclient-3.14.1-7.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-875f20e9af

Comment 7 Fedora Update System 2019-04-30 13:48:37 UTC
python-openstackclient-3.14.1-8.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e242c5bc23

Comment 8 Fedora Update System 2019-05-01 01:44:14 UTC
python-openstackclient-3.14.1-8.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e242c5bc23

Comment 9 Fedora Update System 2019-05-09 01:32:53 UTC
python-openstackclient-3.14.1-8.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.